Subject: Re: Not seeing the linux box in the chooser.....

From: Steve Freitas <[email-masked]>
Date: Sun, 30 Apr 2000 19:36:58 -0700

>I can actually connect to the Linux Server by connect to the server's
>IP address, but I can't seem to get it to broadcast it's host name in the
>chooser or network browser.

First, if you're running this on Redhat 6.2, make sure you put this line 
into /etc/conf.modules:

alias-net-pf-5 appletalk

Reboot to complete the change.

>My question is, what file would I edit to get
>my Linux Box to broadcast it's name in the chooser?

Wherever you've installed Netatalk, in its own /etc directory, you'll 
find a file called afpd.conf. Since I've seen the contents of this file 
vary depending on where the Netatalk distro was obtained, I'll just paste 
my copy in here:

# Format of lines in this file:
#
#    server [ -tcp ] [ -ddp ] [ -guest ] [ -loginmesg message ] ...
#
# To specify a line with the default server name, use a "-" as the
# server name.
#
# There are a whole plethora of options available. Here they are for
# your edification:
#       toggles (-no<option> turns that option off; -<option> turns
#               it on):
#               transports: tcp, ddp, transall
#               debug: nodebug (can only turn off debug)
#               auth: cleartxt, afskrb, krbiv, guest, randnum, rand2num, 
#                     authall (doesn't include randnum/rand2num)
#               passwd: savepassword, setpassword
#               user volumes: uservolfirst, 
#                             nouservol (don't look for ~/.AppleVolumes)
#
#
#       options w/ arguments (-<option> <argument>):
#               defaultvol, systemvol, loginmesg, guestname 
#               address (binds a server to a specific address)
#               port (has to be specified if more than one tcp server
#                    is to be served)
#               tickleval (sets the tickle interval in seconds)
#               uampath, nlspath
#
# Order of precedence:
#       options in afpd.conf > command-line options > built-in options
#
# Some examples:
#
#       The simplest case is to not have an afpd.conf.
#
#       4 servers w/ names server1-3 and one w/ the hostname. servers
#       1-3 get routed to different ports with server 3 being bound 
#       specifically to address 192.168.1.3
#               -
#               server1 -port 12000
#               server2 -port 12001
#               server3 -port 12002 -address 192.168.1.3
#
#       a dedicated guest server, a user server, and a special
#       ddp-only server:
#               "Guest Volume" -nocleartxt -loginmesg "Welcome guest!"
#               "User Volume" -noguest -port 12000
#               "special" -notcp -defaultvol <path> -systemvol <path>
MyLinuxBox -tcp -ddp -nocleartxt -randnum -rand2num -noguest -setpassword

By the way, I've enabled 2-way password encryption on my installation of 
it, so unless you've done that too, if you were to copy the entry above, 
I'd remove "-nocleartext -randnum -rand2num" from that line. The "-ddp" 
switch is the one responsible for ensuring that the box broadcasts its 
name to your Chooser.

Good luck!

Steve Freitas
Newport Beach, California